       .container {
            max-width: 80%;
            margin: 40px auto;
            padding: 20px;
        }
       .thumbnail-grid {
            display: grid;
            grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));
            grid-gap: 10px;
        }
       .thumbnail-grid.thumbnail {
            display: flex;
            flex-direction: column;
            align-items: center;
        }
       .thumbnail-grid img {
            width: 100%;
            height: auto; /* Ensure images maintain their aspect ratio */
            object-fit: cover;
            border-radius: 10px;
        }
        .title{
            font-size: .7em;
            color: #ccc;
            text-align: center;
        }
       .pagination {
            display: flex;
            justify-content: center;
            margin-top: 20px;
        }
       .pagination button {
            background-color: #4a4f55;
            border: none;
            cursor: pointer;
        }

       .prev,.next {
            margin: 0 10px;
        }
       .all {
            margin-left: 20px;
        }
        @media (max-width: 768px) {
           .thumbnail-grid {
                grid-template-columns: repeat(1, 1fr);
            }
        }
        @media (min-width: 768px) and (max-width: 1200px) {
           .thumbnail-grid {
                grid-template-columns: repeat(2, 1fr);
            }
        }
        @media (min-width: 1200px) {
           .thumbnail-grid {
                grid-template-columns: repeat(3, 1fr); /* Adjusted to fit better on larger screens */
            }
        }